#include "typedef.h"
#include <assert.h>
#include <stdio.h>

#include "object.h"

Cobject	*Cobject::g_created_headP = 0;
Cobject	*Cobject::g_created_tailP = 0;

void
Cobject::add_created()
{
	if (m_created_nextP == ((Cobject *) -1)) {
		m_created_nextP = 0;
		if (!g_created_headP) {
			g_created_headP = this;
		} else {
			g_created_tailP->m_created_nextP = this;
		}
		g_created_tailP = this;
}	}

Cobject::Cobject(void)
{
	m_created_nextP = (Cobject *) -1;
}

Centity::Centity(void)
{
	m_parentP       = 0;
}

size_t
Centity::full_path(char *bufferP) const
{
	size_t	lth;

	if (m_parentP) {
		lth = m_parentP->full_path(bufferP);
	} else {
		lth = 0;
	}
	return(lth);
}
